/*
    GUILIB:  An example GUI framework library for use with SDL
    Copyright (C) 1997  Sam Lantinga

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#include "GUI_area.h"

GUI_Area:: GUI_Area(int x, int y, int w, int h, Uint8 r, Uint8 g, Uint8 b)
 : GUI_Widget(NULL, x, y, w, h)
{
	R = r;
	G = g;
	B = b;
	color = 0;
}

/* Map the color to the display */
void
GUI_Area:: SetDisplay(SDL_Surface *display)
{
	GUI_Widget::SetDisplay(display);
	color = SDL_MapRGB(screen->format, R, G, B);
}

/* Show the widget  */
void
GUI_Area:: Display(void)
{
	SDL_FillRect(screen, &area, color);
}
