/*
    GUILIB:  An example GUI framework library for use with SDL
    Copyright (C) 1997  Sam Lantinga

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

#include "GUI_button.h"

/* The default callback quits the GUI */
static GUI_status Default_ActiveProc(void *unused)
{
	return(GUI_QUIT);
}

GUI_Button:: GUI_Button(void *data, int x, int y, SDL_Surface *image,
						GUI_ActiveProc activeproc)
 : GUI_Widget(data, x, y, image->w, image->h)
{
	if ( activeproc == NULL ) {
		ActiveProc = Default_ActiveProc;
	} else {
		ActiveProc = activeproc;
	}
	button = image;
}
GUI_Button:: GUI_Button(void *data, int x, int y, int w, int h,
						GUI_ActiveProc activeproc)
 : GUI_Widget(data, x, y, w, h)
{
	if ( activeproc == NULL ) {
		ActiveProc = Default_ActiveProc;
	} else {
		ActiveProc = activeproc;
	}
	button = NULL;
}

/* Show the widget  */
void
GUI_Button:: Display(void)
{
	if ( button ) {
		SDL_BlitSurface(button, NULL, screen, &area);
	}
}

/* Mouse hits activate us */
GUI_status 
GUI_Button:: MouseDown(int x, int y, int button)
{
	return(ActiveProc(widget_data));
}
