/*
    GUILIB:  An example GUI framework library for use with SDL
    Copyright (C) 1997  Sam Lantinga

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Sam Lantinga
    5635-34 Springhouse Dr.
    Pleasanton, CA 94588 (USA)
    slouken@devolution.com
*/

/* This is a very generic button widget */

#ifndef _GUI_button_h
#define _GUI_button_h

#include "GUI_widget.h"

/* This is the definition of the "I've been activated" callback */
typedef GUI_status (*GUI_ActiveProc)(void *data);

class GUI_Button : public GUI_Widget {

public:
	/* Passed the button data, position, image, and callback */
	GUI_Button(void *data, int x, int y, SDL_Surface *image,
					GUI_ActiveProc activeproc = NULL);
	GUI_Button(void *data, int x, int y, int w, int h,
					GUI_ActiveProc activeproc = NULL);

	/* Show the widget  */
	virtual void Display(void);

	/* Mouse hits activate us */
	virtual GUI_status MouseDown(int x, int y, int button);

protected:
	/* The button image */
	SDL_Surface *button;

	/* The activation callback */
	GUI_ActiveProc ActiveProc;
};

#endif /* _GUI_button_h */
